QGIS Application - Bug report #7501
Check validity of multipolygons
2013-04-04 02:01 AM - Hugues Francgois

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:1.8.0 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16451
Description

When you check validity of a multipolygon where its components may share a limited number of points, qgis validity checker throw an
error even if it is valid for OGC.

If you want to reproduce this issue, you may union the two valid polygons attached to this bug report (shp files) and make a multipolygon
which is reported as invalid by validity checker.

Associated revisions

Revision b9b9bc31 - 2014-02-17 09:40 PM - Jiirgen Fischer

geometry validation: don't consider touching lines as intersection (fixes #3851, fixes #7501, fixes #9580)

History

#1 - 2014-02-17 12:42 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b9b9bc31b3bab3b06def835dbb01772134661856".

Files

the_turtle.rar 1.98 KB 2013-04-04 Hugues Frangois

2025-04-27 1/1




